The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> getwchar - get a wide character from a stdin stream

#### SYNOPSIS

> ``#include <wchar.h>
> wint_t getwchar(void);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> The getwchar() function shall be equivalent to getwc(stdin).

#### RETURN VALUE

> Refer to fgetwc().

#### ERRORS

> Refer to fgetwc().

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> If the wint_t value returned by getwchar() is stored into a variable of type wchar_t and then compared against the wint_t macro WEOF, the result may be incorrect. Only the wint_t type is guaranteed to be able to represent any wide character and WEOF.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> fgetwc(), getwc(), the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

#### CHANGE HISTORY

> First released as a World-wide Portability Interface in Issue 4. Derived from the MSE working draft.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]